Bug 500728 - "radeon" driver crashs on F11 Preview and Radeon HD4350
"radeon" driver crashs on F11 Preview and Radeon HD4350
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 16:23 EDT by Edouard Bourguignon
Modified: 2009-05-16 10:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.12.2-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-16 10:17:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log (45.04 KB, text/plain)
2009-05-13 16:26 EDT, Edouard Bourguignon
no flags Details

  None (edit)
Description Edouard Bourguignon 2009-05-13 16:23:00 EDT
Description of problem:
Fedora 11 fails to boot with latest kernel and xorg radeon driver.

BUG: unable to handle kernel NULL pointer dereference at (null)
IP: [<ffffffff811bc752>] __list_add+0x3f/0x81
PGD 111002067 PUD 11d932067 PMD 0 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:08.0/irq
CPU 1 
Modules linked in: ipt_MASQUERADE iptable_nat nf_nat bridge stp llc bnep sco l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath kvm_amd kvm uinput snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_event snd_seq_midi_emul snd_seq arc4 snd_emu10k1 ecb snd_rawmidi rt61pci crc_itu_t snd_ac97_codec rt2x00pci rt2x00lib ac97_bus snd_pcm snd_seq_device mac80211 snd_timer snd_page_alloc cfg80211 snd_util_mem snd_hwdep ppdev snd parport_pc soundcore eeprom_93cx6 forcedeth parport i2c_nforce2 pcspkr asus_atk0110 k8temp hwmon pata_amd ata_generic pata_acpi sata_nv radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 2196, comm: Xorg Not tainted 2.6.29.3-140.fc11.x86_64 #1 System Product Name
RIP: 0010:[<ffffffff811bc752>]  [<ffffffff811bc752>] __list_add+0x3f/0x81
RSP: 0018:ffff88011d5fdb78  EFLAGS: 00010246
RAX: ffff88011d125000 RBX: ffff88011d125668 RCX: ffffffff00f7ff5f
RDX: ffff88011d125668 RSI: 0000000000000000 RDI: ffff880112d5cc68
RBP: ffff88011d5fdb98 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000fffff0 R11: ffffffffffffffff R12: 0000000000000000
R13: ffff880112d5cc68 R14: ffff88011d125000 R15: 0000000000000000
FS:  00007f08d3b637b0(0000) GS:ffff88011ea7d280(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000011d837000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 2196, threadinfo ffff88011d5fc000, task ffff88011d921700)
Stack:
 0000000000000000 ffff880112d5cc00 0000000000000000 ffff88011d125020
 ffff88011d5fdba8 ffffffffa00224dd ffff88011d5fdbb8 ffffffffa0022517
 ffff88011d5fdc68 ffffffffa002406d ffff880112d5cc68 000000001d1e71e0
Call Trace:
 [<ffffffffa00224dd>] list_add_tail+0x15/0x17 [drm]
 [<ffffffffa0022517>] drm_bo_add_to_lru+0x38/0x48 [drm]
 [<ffffffffa002406d>] drm_bo_do_validate+0x48e/0x4f9 [drm]
 [<ffffffffa001ac2e>] ? drm_mm_split_at_start+0x57/0x71 [drm]
 [<ffffffffa0024e98>] drm_buffer_object_create+0x2e4/0x324 [drm]
 [<ffffffffa005dd2a>] radeon_gem_object_alloc+0xcb/0x110 [radeon]
 [<ffffffffa005ddc0>] radeon_gem_create_ioctl+0x51/0x106 [radeon]
 [<ffffffff810b4530>] ? handle_mm_fault+0x349/0x7c5
 [<ffffffffa005dd6f>] ? radeon_gem_create_ioctl+0x0/0x106 [radeon]
 [<ffffffffa0012b7e>] drm_ioctl+0x20e/0x2c5 [drm]
 [<ffffffff8105fd6e>] ? up_read+0xe/0x10
 [<ffffffff813ae09b>] ? do_page_fault+0x5fb/0x9e9
 [<ffffffff810e0e94>] vfs_ioctl+0x6f/0x87
 [<ffffffff810e132f>] do_vfs_ioctl+0x462/0x4a3
 [<ffffffff810e13c6>] sys_ioctl+0x56/0x79
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Code: ec 08 4c 8b 42 08 49 39 f0 74 20 49 89 d1 48 89 f1 48 c7 c2 27 02 4f 81 be 1a 00 00 00 48 c7 c7 dc 01 4f 81 31 c0 e8 b1 c1 e8 ff <4d> 8b 04 24 49 39 d8 74 20 4d 89 e1 48 89 d9 48 c7 c2 74 02 4f 
RIP  [<ffffffff811bc752>] __list_add+0x3f/0x81
 RSP <ffff88011d5fdb78>
CR2: 0000000000000000
---[ end trace e53d3d5e867187a7 ]---
virbr0: no IPv6 routers present
type=1300 audit(1242245495.059:28224): arch=c000003e syscall=2 success=no exit=316637144 a0=7fffdebbc79e a1=800 a2=7fffdebba65f a3=7fffdebba440 items=1 ppid=1557 pid=2202 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hald-probe-stor" exe="/usr/libexec/hald-probe-storage" key=(null)
type=1307 audit(1242245495.059:28224):  cwd="/usr/libexec"
type=1302 audit(1242245495.059:28224): item=0 name="/dev/sr0" inode=582 dev=00:0f mode=060660 ouid=0 ogid=11 rdev=0b:00
audit(1242245495.075:28222): auid=4294967295 ses=4294967295 op=remove rule key=(null) list=2 res=1
audit(1242245495.075:28223): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 res=1


  Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-13.fc11.x86_64
kernel-2.6.29.3-140.fc11.x86_64
xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64

  How reproducible:
Always when i use "radeon" X driver.

  Steps to Reproduce:
1. Buy AMD/ATI Radeon HD4350 Card
2. Install Fedora 11 Preview 
3. yum update
4. restart.

This bug don't appears before update
  
  Actual results:
No output signal on screen when X try to start

  Expected results:
GDM login screen

  Additional info:
02:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4350] (prog-if 00 [VGA controller])
	Subsystem: Hightech Information System Ltd. Device 2271
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at fdde0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at 9c00 [size=256]
	Expansion ROM at fddc0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Mask- 64bit+ Count=1/1 Enable-
	Capabilities: [100] Vendor Specific Information <?>
	Kernel modules: radeon
Comment 1 Edouard Bourguignon 2009-05-13 16:26:06 EDT
Created attachment 343872 [details]
xorg.log

Xorg.0.log during crash
Comment 2 Edouard Bourguignon 2009-05-13 16:28:17 EDT
Doesn't crash when booting on kernel 2.6.29.2-126.
Comment 3 Matěj Cepl 2009-05-14 05:03:45 EDT
Thanks for letting us know.
Comment 4 Matěj Cepl 2009-05-14 05:04:30 EDT
(In reply to comment #3)
> Thanks for letting us know.  

Sorry, other way around.
Comment 5 Adam Jackson 2009-05-15 16:41:23 EDT
Try again with xorg-x11-drv-ati 6.12.2-14 ?
Comment 6 Edouard Bourguignon 2009-05-16 07:26:52 EDT
Working great with xorg-x11-drv-ati-6.12.2-14. It's great that it has been so prompt to get fixed, thanks. Don't have anymore major bugs, this f11 will be great!

You can close this bug of course.

Note You need to log in before you can comment on or make changes to this bug.